
# Jupyter Notebook Introduction
Programming in the browser
Code, Instructions and output are displayed together
# Install
Anaconda
# User Interface Tour

# Executing Commands


```python
print("Hello World")
```

    Hello World
    
On Mac
Ctrl: command key ⌘
Shift: Shift ⇧
Alt: option ⌥

```python
name=input("what's your name? ")
print("Hello",name)
```

    what's your name? miaomiao
    Hello miaomiao
    


```python
3+6
```




    9




```python
%matplotlib inline
import matplotlib.pyplot as plt
image = plt.imread('Friday.jpeg')
plt.imshow(image);
```


![png](output_10_0.png)



```python
import seaborn as sns 

df = sns.load_dataset('iris') 
print(df.head(10))

my_pal = {"versicolor": "g", "setosa": "b", "virginica":"m"} 
sns.boxplot( x=df["species"], y=df["sepal_width"], palette=my_pal) 

```

       sepal_length  sepal_width  petal_length  petal_width species
    0           5.1          3.5           1.4          0.2  setosa
    1           4.9          3.0           1.4          0.2  setosa
    2           4.7          3.2           1.3          0.2  setosa
    3           4.6          3.1           1.5          0.2  setosa
    4           5.0          3.6           1.4          0.2  setosa
    5           5.4          3.9           1.7          0.4  setosa
    6           4.6          3.4           1.4          0.3  setosa
    7           5.0          3.4           1.5          0.2  setosa
    8           4.4          2.9           1.4          0.2  setosa
    9           4.9          3.1           1.5          0.1  setosa
    




    <matplotlib.axes._subplots.AxesSubplot at 0x1af3f9c66d8>




![png](output_11_2.png)



```python
from bs4 import BeautifulSoup
import requests
 
url = "https://houston.craigslist.org/search/cta"
 
# Getting the webpage, creating a Response object.
response = requests.get(url)
 
# Extracting the source code of the page.
data = response.text
 
# Passing the source code to Beautiful Soup to create a BeautifulSoup object for it.
soup = BeautifulSoup(data, 'lxml')
 
# Extracting all the <a> tags whose class name is 'result-title' into a list.
titles = soup.findAll('a', {'class': 'result-title'})

 
# Extracting text from the the <a> tags, i.e. class titles.
for title in titles:
    print (title.text)
```

    2015 Honda Pilot EX-L SKU:FB001887 SUV
    2016 Mazda CX-9 Touring SKU:G0115383 SUV
    2017 Jeep Grand Cherokee Laredo E Sport Utility 4D suv Gray - FINANCE
    2014 Acura MDX SKU:EB003258 SUV
    2012 Acura MDX Advance Pkg AWD All Wheel Drive SKU:CH537318
    2010 Honda Odyssey touring
    2015 Chevy Chevrolet Malibu LS sedan Black Granite Metallic
    1971 E21 BMW 320I M3 M5 45000 miles
    2015 Nissan Rogue SL SKU:FC857948 Wagon
    REDUCED - 2016 HONDA CRV EX LIKE NEW
    2017 Chevrolet Silverado 1500 LT SKU:HG136040 Pickup
    2011 Chevrolet Silverado 2500HD  LT - truck
    2017 Acura TLX 2.4 Sedan 4D sedan Silver - FINANCE ONLINE
    2015 Acura RDX SKU:FL001372 SUV
    2003 Lexus ls430
    2004 Nissan Armada LE
    2003 Ford Excursion FOR REPAIR/PARTS Flooded!
    2012 Jeep Wrangler Unlimited Sport 4x4 4WD Four Wheel SKU:CL112896
    2017 Subaru BRZ Limited
    2016 Buick Enclave Leather
    2003 Dodge Ram 1500
    2014 BMW 3 Series 328d SKU:EK157116 Sedan
    2014 Nissan Altima !!!!!LOW MILES!!!!!
    2018 Toyota RAV4 LE SKU:JW499871 SUV
    Check 2012 INFINITI G 25 Buy Here Pay Here 1000 Down bad no credit, NP
    2013 Nissan Frontier
    2015 Ford Expedition EL XLT SKU:FEF39721 SUV
    2008 GMC Yukon  Sport Utility SLT w/4SA - GMC Onyx Black
    2018 Mercedes-Benz CLA CLA 250 SKU:JN515473 Sedan
    2015 Dodge Dart SXT
    2014 Mazda Mazda5 Grand Touring SKU:E0166457 Mini-Van
    2016 Toyota Tacoma TRD Sport SKU:GX004246 Pickup
    2011 Caddy Cadillac SRX Luxury Collection suv Black Raven
    2011 DODGE GRAND CARAVAN $$ WORK MINI-VAN, GREAT RELIABLE CASH CAR
    2008 CHEVROLET EQUINOX LT $$ EXCELLENT RUNNING CONDITIONS, CASH CAR
    2009 Nissan Altima 2.5S Coupe! Very Very Clean! L@@K
    2012 DODGE GRAND CARAVAN SE $$ EXCELLENT CONDITIONS, CASH CAR
    2014 Mercedes-Benz GL-Class GL 450 AWD All Wheel Drive SKU:EA280327
    2015 Mercedes-Benz M-Class ML 350 SKU:FA486448 SUV
    2012 Kia Soul !!!!LOW MILES!!!!
    2013 Ford Explorer Limited SKU:DGA33392 SUV
    2017 Mercedes-Benz GLE GLE 350 SKU:HA823577 SUV
    2014 VW Volkswagen Jetta SportWagen 2.0L TDI Sport Wagon 4D wagon
    2018 GMC Terrain SLE Sport Utility 4D suv Blue - FINANCE ONLINE
    2014 TOYOTA 4RUNNER SR5
    2014 Subaru Forester 2.5i Limited
    2017 Mercedes-Benz CLA CLA 250 SKU:HN437553 Sedan
    2014 BMW 3 Series 328i SKU:ENP30154 Sedan
    2012 Mazda 6 i-Sport Sedan, new wheels/tires, runs and drives perfect!
    2003 TOYOTA HIGHLANDER LIMITED 3.0 V6 CLEAN TITLE 4800 224K
    2016 Ford F-150 2WD SuperCrew 5-1/2 Ft Box Lariat
    2001 Chevy dually
    2015 Chevrolet Silverado 3500HD Truck Chevy Silverado3500
    2017 Buick Enclave Premium FWD
    1 Owner 2006 CHEVROLET SUBURBAN C1500 Clean carfax DVD System, Rear AC
    2013 FORD FOCUS $$ GREAT GAS SAVER, CASH DEALS ONLY
    2016 Toyota Highlander Limited SKU:GS181164 SUV
    2011 MERCURY MARINER $$ LEATHER, SUNROOF, CASH DEALS ONLY
    2015 Chevy EQUINOX  LT AWD very clean
    2013 Ford Fusion SE SKU:DR163327 Sedan
    1962 Chevy ll
    2004 TOYOTA CAMRY LE $$ CASH DEALS ONLY, EXCELLENT RUNNING CONDITIONS
    WE BUY JUNK CARS!!! TOP PAY
    2017 Cadillac XT5 Luxury FWD SKU:HZ267064 SUV
    2018 Chevrolet Silverado 1500 LT 9 Lift BEAUTIFUL BAD BOY
    2013 INTERNATIONAL 4300
    2017 Ram 1500 Tradesman 4X4
    2017 Chevrolet Silverado 1500 Work Truck
    2010 JEEP WRANGLER UNLIMITED SAHARA
    2014 BMW X5 sDrive35i SKU:E0H33092 SUV
    2010 Lexus ES 350 sedan Satin Cashmere Metallic
    2018 Toyota Highlander Limited Platinum SKU:JS253350 SUV
    2005 Honda Pilot EX AWD All Wheel Drive SKU:5H512944A
    2011 Jeep Wrangler Sport 4x4 4WD Four Wheel Drive SKU:BL563436
    2006 f550
    2008 Ford Ranger 4x4 SPORT this truck has a lot of life left
    2013 Ford Mustang GT Premium SKU:D5238753 Coupe
    2013 GMC Sierra 1500 SLE SKU:DG223656 Pickup
    2011 Honda Accord Sedan SE sedan Alabaster Silver Metallic
    2014 Volkswagen Vw Tiguan S
    2014, 2015 & 2016 Freightliner Cascadia
    2015 CHEVROLET SILVERADO LIFTED CHROME FUEL ALLOYS with
    2016 Honda Fit EX SKU:GX042043 Hatchback
    2020 BUICK ENCLAVE LOW MILES with
    2005 Honda Pilot EX AWD All Wheel Drive SKU:5H512944A
    2019 Ford Edge Titanium Sport Utility 4D suv Black - FINANCE ONLINE
    Lovely clean Honda accord forsale
    2005 Toyota Camry XLE Sedan with Leather * Clean * Warranty
    2017 Chevrolet Traverse LT SKU:HJ229776 SUV
    1992 Cadillac Fleetwood Brougham D'elegance
    2012 Ford Focus SE SKU:CL201386 Sedan
    2016 Mazda CX-5 Touring
    2016 Lincoln MKC Reserve
    2014 Ford Explorer Limited
    2017 FIAT 124 Spider Abarth
    2018 Jeep Cherokee Latitude SKU:JD539245 SUV
    2015 Freightliner Cascadia Day Cab
    2018 Ford F-150 XLT SKU:JKC80097 Pickup
    2015 Toyota Highlander FWD V6 Limited
    2015 Ford Escape FWD Titanium
    2013 LEXUS ES 350  with
    2015 Hyundai Veloster Base 3dr Coupe
    2012 Nissan JUKE SV SKU:CT101875 Wagon
    2017 INFINITI Q50 2.0t Premium AWD All Wheel Drive SKU:HM681481
    2018 Jeep Wrangler JK Unlimited 4x4 Sahara 4dr SUV
    2010 Chevrolet Chevy Tahoe 4x2 LT 4dr SUV
    2017 Hyundai Santa Fe Sport 2.4L SKU:HG455097 SUV
    2017 Buick Enclave Premium 3.6L V6 FWD 12k miles Red Entertainment DVD
    2008 Honda Cr-v Lx
    2003 Mini Cooper S 1 owner with extras
    2007 Nissan titan
    2010 Chevy Chevrolet Malibu LS w/1LS sedan Imperial Blue Metallic
    2013 Volkswagen Passat Wolfsburg Edition SKU:DC151724 Sedan
    2011 Chevrolet Avalanche LTZ SKU:BG234982 Pickup
    2008 Nissan Altima
    2012 GMC Canyon SLE1 SKU:C8114226 Pickup
    Hot 2015 Nissan Armada Third Row Seats SUV / 3rd Seat In House Finance
    2010 Mercedes-Benz GL-Class GL 550 4MATIC
    2014 Mercedes-Benz CLA CLA 250 4dr Sedan
    2013 Lexus RX RX 350 Sport Utility 4D suv Gray - FINANCE ONLINE
    

# Error message


```python
print "hello world"
```


      File "<ipython-input-16-6d29d8fb337c>", line 1
        print "hello world"
                          ^
    SyntaxError: Missing parentheses in call to 'print'. Did you mean print("hello world")?
    


# Embedding Text (Markdown)

# Let's learn Jupyter
## Let's learn Jupyter
### Let's learn Jupyter
#### Let's learn Jupyter
Let's learn Jupyter


```python

```

# Embedding Text (Raw NBConvert)
Let's learn Jupyter. 
OK.
# Embedding Links

https://library.rice.edu/

[Fondren](https://library.rice.edu/)

[Fondren](https://library.rice.edu/ "Fondren Homepage")

# Embedding Formulas & Equations

$$c = \sqrt{a^2 + b^2}$$

$$e^x=\sum_{i=0}^\infty \frac{1}{i!}x^i$$

$$ \left\{ \begin{array}{l}
0 = c_x-a_{x0}-d_{x0}\dfrac{(c_x-a_{x0})\cdot d_{x0}}{\|d_{x0}\|^2} + c_x-a_{x1}-d_{x1}\dfrac{(c_x-a_{x1})\cdot d_{x1}}{\|d_{x1}\|^2} \\[2ex] 
0 = c_y-a_{y0}-d_{y0}\dfrac{(c_y-a_{y0})\cdot d_{y0}}{\|d_{y0}\|^2} + c_y-a_{y1}-d_{y1}\dfrac{(c_y-a_{y1})\cdot d_{y1}}{\|d_{y1}\|^2} \end{array} \right. 
$$

Refer to the [Mathjax Tutorial](https://math.meta.stackexchange.com/questions/5020/mathjax-basic-tutorial-and-quick-reference) for syntax help.


```python
from platform import python_version
print(python_version())
```

    3.7.3
    


```python
help()
```

    
    Welcome to Python 3.7's help utility!
    
    If this is your first time using Python, you should definitely check out
    the tutorial on the Internet at https://docs.python.org/3.7/tutorial/.
    
    Enter the name of any module, keyword, or topic to get help on writing
    Python programs and using Python modules.  To quit this help utility and
    return to the interpreter, just type "quit".
    
    To get a list of available modules, keywords, symbols, or topics, type
    "modules", "keywords", "symbols", or "topics".  Each module also comes
    with a one-line summary of what it does; to list the modules whose name
    or summary contain a given string such as "spam", type "modules spam".
    
    help> INPUT
    No Python documentation found for 'INPUT'.
    Use help() to get the interactive help utility.
    Use help(str) for help on the str class.
    
    help> input
    Help on method raw_input in module ipykernel.kernelbase:
    
    input = raw_input(prompt='') method of ipykernel.ipkernel.IPythonKernel instance
        Forward raw_input to frontends
        
        Raises
        ------
        StdinNotImplentedError if active frontend doesn't support stdin.
    
    help> print
    Help on built-in function print in module builtins:
    
    print(...)
        print(value, ..., sep=' ', end='\n', file=sys.stdout, flush=False)
        
        Prints the values to a stream, or to sys.stdout by default.
        Optional keyword arguments:
        file:  a file-like object (stream); defaults to the current sys.stdout.
        sep:   string inserted between values, default a space.
        end:   string appended after the last value, default a newline.
        flush: whether to forcibly flush the stream.
    
    help> pyplot
    No Python documentation found for 'pyplot'.
    Use help() to get the interactive help utility.
    Use help(str) for help on the str class.
    
    help> for 
    The "for" statement
    *******************
    
    The "for" statement is used to iterate over the elements of a sequence
    (such as a string, tuple or list) or other iterable object:
    
       for_stmt ::= "for" target_list "in" expression_list ":" suite
                    ["else" ":" suite]
    
    The expression list is evaluated once; it should yield an iterable
    object.  An iterator is created for the result of the
    "expression_list".  The suite is then executed once for each item
    provided by the iterator, in the order returned by the iterator.  Each
    item in turn is assigned to the target list using the standard rules
    for assignments (see Assignment statements), and then the suite is
    executed.  When the items are exhausted (which is immediately when the
    sequence is empty or an iterator raises a "StopIteration" exception),
    the suite in the "else" clause, if present, is executed, and the loop
    terminates.
    
    A "break" statement executed in the first suite terminates the loop
    without executing the "else" clause’s suite.  A "continue" statement
    executed in the first suite skips the rest of the suite and continues
    with the next item, or with the "else" clause if there is no next
    item.
    
    The for-loop makes assignments to the variables(s) in the target list.
    This overwrites all previous assignments to those variables including
    those made in the suite of the for-loop:
    
       for i in range(10):
           print(i)
           i = 5             # this will not affect the for-loop
                             # because i will be overwritten with the next
                             # index in the range
    
    Names in the target list are not deleted when the loop is finished,
    but if the sequence is empty, they will not have been assigned to at
    all by the loop.  Hint: the built-in function "range()" returns an
    iterator of integers suitable to emulate the effect of Pascal’s "for i
    := a to b do"; e.g., "list(range(3))" returns the list "[0, 1, 2]".
    
    Note: There is a subtlety when the sequence is being modified by the
      loop (this can only occur for mutable sequences, e.g. lists).  An
      internal counter is used to keep track of which item is used next,
      and this is incremented on each iteration.  When this counter has
      reached the length of the sequence the loop terminates.  This means
      that if the suite deletes the current (or a previous) item from the
      sequence, the next item will be skipped (since it gets the index of
      the current item which has already been treated).  Likewise, if the
      suite inserts an item in the sequence before the current item, the
      current item will be treated again the next time through the loop.
      This can lead to nasty bugs that can be avoided by making a
      temporary copy using a slice of the whole sequence, e.g.,
    
         for x in a[:]:
             if x < 0: a.remove(x)
    
    Related help topics: break, continue, while
    
    help>  
    Help on class str in module builtins:
    
    class str(object)
     |  str(object='') -> str
     |  str(bytes_or_buffer[, encoding[, errors]]) -> str
     |  
     |  Create a new string object from the given object. If encoding or
     |  errors is specified, then the object must expose a data buffer
     |  that will be decoded using the given encoding and error handler.
     |  Otherwise, returns the result of object.__str__() (if defined)
     |  or repr(object).
     |  encoding defaults to sys.getdefaultencoding().
     |  errors defaults to 'strict'.
     |  
     |  Methods defined here:
     |  
     |  __add__(self, value, /)
     |      Return self+value.
     |  
     |  __contains__(self, key, /)
     |      Return key in self.
     |  
     |  __eq__(self, value, /)
     |      Return self==value.
     |  
     |  __format__(self, format_spec, /)
     |      Return a formatted version of the string as described by format_spec.
     |  
     |  __ge__(self, value, /)
     |      Return self>=value.
     |  
     |  __getattribute__(self, name, /)
     |      Return getattr(self, name).
     |  
     |  __getitem__(self, key, /)
     |      Return self[key].
     |  
     |  __getnewargs__(...)
     |  
     |  __gt__(self, value, /)
     |      Return self>value.
     |  
     |  __hash__(self, /)
     |      Return hash(self).
     |  
     |  __iter__(self, /)
     |      Implement iter(self).
     |  
     |  __le__(self, value, /)
     |      Return self<=value.
     |  
     |  __len__(self, /)
     |      Return len(self).
     |  
     |  __lt__(self, value, /)
     |      Return self<value.
     |  
     |  __mod__(self, value, /)
     |      Return self%value.
     |  
     |  __mul__(self, value, /)
     |      Return self*value.
     |  
     |  __ne__(self, value, /)
     |      Return self!=value.
     |  
     |  __repr__(self, /)
     |      Return repr(self).
     |  
     |  __rmod__(self, value, /)
     |      Return value%self.
     |  
     |  __rmul__(self, value, /)
     |      Return value*self.
     |  
     |  __sizeof__(self, /)
     |      Return the size of the string in memory, in bytes.
     |  
     |  __str__(self, /)
     |      Return str(self).
     |  
     |  capitalize(self, /)
     |      Return a capitalized version of the string.
     |      
     |      More specifically, make the first character have upper case and the rest lower
     |      case.
     |  
     |  casefold(self, /)
     |      Return a version of the string suitable for caseless comparisons.
     |  
     |  center(self, width, fillchar=' ', /)
     |      Return a centered string of length width.
     |      
     |      Padding is done using the specified fill character (default is a space).
     |  
     |  count(...)
     |      S.count(sub[, start[, end]]) -> int
     |      
     |      Return the number of non-overlapping occurrences of substring sub in
     |      string S[start:end].  Optional arguments start and end are
     |      interpreted as in slice notation.
     |  
     |  encode(self, /, encoding='utf-8', errors='strict')
     |      Encode the string using the codec registered for encoding.
     |      
     |      encoding
     |        The encoding in which to encode the string.
     |      errors
     |        The error handling scheme to use for encoding errors.
     |        The default is 'strict' meaning that encoding errors raise a
     |        UnicodeEncodeError.  Other possible values are 'ignore', 'replace' and
     |        'xmlcharrefreplace' as well as any other name registered with
     |        codecs.register_error that can handle UnicodeEncodeErrors.
     |  
     |  endswith(...)
     |      S.endswith(suffix[, start[, end]]) -> bool
     |      
     |      Return True if S ends with the specified suffix, False otherwise.
     |      With optional start, test S beginning at that position.
     |      With optional end, stop comparing S at that position.
     |      suffix can also be a tuple of strings to try.
     |  
     |  expandtabs(self, /, tabsize=8)
     |      Return a copy where all tab characters are expanded using spaces.
     |      
     |      If tabsize is not given, a tab size of 8 characters is assumed.
     |  
     |  find(...)
     |      S.find(sub[, start[, end]]) -> int
     |      
     |      Return the lowest index in S where substring sub is found,
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Return -1 on failure.
     |  
     |  format(...)
     |      S.format(*args, **kwargs) -> str
     |      
     |      Return a formatted version of S, using substitutions from args and kwargs.
     |      The substitutions are identified by braces ('{' and '}').
     |  
     |  format_map(...)
     |      S.format_map(mapping) -> str
     |      
     |      Return a formatted version of S, using substitutions from mapping.
     |      The substitutions are identified by braces ('{' and '}').
     |  
     |  index(...)
     |      S.index(sub[, start[, end]]) -> int
     |      
     |      Return the lowest index in S where substring sub is found, 
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Raises ValueError when the substring is not found.
     |  
     |  isalnum(self, /)
     |      Return True if the string is an alpha-numeric string, False otherwise.
     |      
     |      A string is alpha-numeric if all characters in the string are alpha-numeric and
     |      there is at least one character in the string.
     |  
     |  isalpha(self, /)
     |      Return True if the string is an alphabetic string, False otherwise.
     |      
     |      A string is alphabetic if all characters in the string are alphabetic and there
     |      is at least one character in the string.
     |  
     |  isascii(self, /)
     |      Return True if all characters in the string are ASCII, False otherwise.
     |      
     |      ASCII characters have code points in the range U+0000-U+007F.
     |      Empty string is ASCII too.
     |  
     |  isdecimal(self, /)
     |      Return True if the string is a decimal string, False otherwise.
     |      
     |      A string is a decimal string if all characters in the string are decimal and
     |      there is at least one character in the string.
     |  
     |  isdigit(self, /)
     |      Return True if the string is a digit string, False otherwise.
     |      
     |      A string is a digit string if all characters in the string are digits and there
     |      is at least one character in the string.
     |  
     |  isidentifier(self, /)
     |      Return True if the string is a valid Python identifier, False otherwise.
     |      
     |      Use keyword.iskeyword() to test for reserved identifiers such as "def" and
     |      "class".
     |  
     |  islower(self, /)
     |      Return True if the string is a lowercase string, False otherwise.
     |      
     |      A string is lowercase if all cased characters in the string are lowercase and
     |      there is at least one cased character in the string.
     |  
     |  isnumeric(self, /)
     |      Return True if the string is a numeric string, False otherwise.
     |      
     |      A string is numeric if all characters in the string are numeric and there is at
     |      least one character in the string.
     |  
     |  isprintable(self, /)
     |      Return True if the string is printable, False otherwise.
     |      
     |      A string is printable if all of its characters are considered printable in
     |      repr() or if it is empty.
     |  
     |  isspace(self, /)
     |      Return True if the string is a whitespace string, False otherwise.
     |      
     |      A string is whitespace if all characters in the string are whitespace and there
     |      is at least one character in the string.
     |  
     |  istitle(self, /)
     |      Return True if the string is a title-cased string, False otherwise.
     |      
     |      In a title-cased string, upper- and title-case characters may only
     |      follow uncased characters and lowercase characters only cased ones.
     |  
     |  isupper(self, /)
     |      Return True if the string is an uppercase string, False otherwise.
     |      
     |      A string is uppercase if all cased characters in the string are uppercase and
     |      there is at least one cased character in the string.
     |  
     |  join(self, iterable, /)
     |      Concatenate any number of strings.
     |      
     |      The string whose method is called is inserted in between each given string.
     |      The result is returned as a new string.
     |      
     |      Example: '.'.join(['ab', 'pq', 'rs']) -> 'ab.pq.rs'
     |  
     |  ljust(self, width, fillchar=' ', /)
     |      Return a left-justified string of length width.
     |      
     |      Padding is done using the specified fill character (default is a space).
     |  
     |  lower(self, /)
     |      Return a copy of the string converted to lowercase.
     |  
     |  lstrip(self, chars=None, /)
     |      Return a copy of the string with leading whitespace removed.
     |      
     |      If chars is given and not None, remove characters in chars instead.
     |  
     |  partition(self, sep, /)
     |      Partition the string into three parts using the given separator.
     |      
     |      This will search for the separator in the string.  If the separator is found,
     |      returns a 3-tuple containing the part before the separator, the separator
     |      itself, and the part after it.
     |      
     |      If the separator is not found, returns a 3-tuple containing the original string
     |      and two empty strings.
     |  
     |  replace(self, old, new, count=-1, /)
     |      Return a copy with all occurrences of substring old replaced by new.
     |      
     |        count
     |          Maximum number of occurrences to replace.
     |          -1 (the default value) means replace all occurrences.
     |      
     |      If the optional argument count is given, only the first count occurrences are
     |      replaced.
     |  
     |  rfind(...)
     |      S.rfind(sub[, start[, end]]) -> int
     |      
     |      Return the highest index in S where substring sub is found,
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Return -1 on failure.
     |  
     |  rindex(...)
     |      S.rindex(sub[, start[, end]]) -> int
     |      
     |      Return the highest index in S where substring sub is found,
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Raises ValueError when the substring is not found.
     |  
     |  rjust(self, width, fillchar=' ', /)
     |      Return a right-justified string of length width.
     |      
     |      Padding is done using the specified fill character (default is a space).
     |  
     |  rpartition(self, sep, /)
     |      Partition the string into three parts using the given separator.
     |      
     |      This will search for the separator in the string, starting at the end. If
     |      the separator is found, returns a 3-tuple containing the part before the
     |      separator, the separator itself, and the part after it.
     |      
     |      If the separator is not found, returns a 3-tuple containing two empty strings
     |      and the original string.
     |  
     |  rsplit(self, /, sep=None, maxsplit=-1)
     |      Return a list of the words in the string, using sep as the delimiter string.
     |      
     |        sep
     |          The delimiter according which to split the string.
     |          None (the default value) means split according to any whitespace,
     |          and discard empty strings from the result.
     |        maxsplit
     |          Maximum number of splits to do.
     |          -1 (the default value) means no limit.
     |      
     |      Splits are done starting at the end of the string and working to the front.
     |  
     |  rstrip(self, chars=None, /)
     |      Return a copy of the string with trailing whitespace removed.
     |      
     |      If chars is given and not None, remove characters in chars instead.
     |  
     |  split(self, /, sep=None, maxsplit=-1)
     |      Return a list of the words in the string, using sep as the delimiter string.
     |      
     |      sep
     |        The delimiter according which to split the string.
     |        None (the default value) means split according to any whitespace,
     |        and discard empty strings from the result.
     |      maxsplit
     |        Maximum number of splits to do.
     |        -1 (the default value) means no limit.
     |  
     |  splitlines(self, /, keepends=False)
     |      Return a list of the lines in the string, breaking at line boundaries.
     |      
     |      Line breaks are not included in the resulting list unless keepends is given and
     |      true.
     |  
     |  startswith(...)
     |      S.startswith(prefix[, start[, end]]) -> bool
     |      
     |      Return True if S starts with the specified prefix, False otherwise.
     |      With optional start, test S beginning at that position.
     |      With optional end, stop comparing S at that position.
     |      prefix can also be a tuple of strings to try.
     |  
     |  strip(self, chars=None, /)
     |      Return a copy of the string with leading and trailing whitespace remove.
     |      
     |      If chars is given and not None, remove characters in chars instead.
     |  
     |  swapcase(self, /)
     |      Convert uppercase characters to lowercase and lowercase characters to uppercase.
     |  
     |  title(self, /)
     |      Return a version of the string where each word is titlecased.
     |      
     |      More specifically, words start with uppercased characters and all remaining
     |      cased characters have lower case.
     |  
     |  translate(self, table, /)
     |      Replace each character in the string using the given translation table.
     |      
     |        table
     |          Translation table, which must be a mapping of Unicode ordinals to
     |          Unicode ordinals, strings, or None.
     |      
     |      The table must implement lookup/indexing via __getitem__, for instance a
     |      dictionary or list.  If this operation raises LookupError, the character is
     |      left untouched.  Characters mapped to None are deleted.
     |  
     |  upper(self, /)
     |      Return a copy of the string converted to uppercase.
     |  
     |  zfill(self, width, /)
     |      Pad a numeric string with zeros on the left, to fill a field of the given width.
     |      
     |      The string is never truncated.
     |  
     |  ----------------------------------------------------------------------
     |  Static methods defined here:
     |  
     |  __new__(*args, **kwargs) from builtins.type
     |      Create and return a new object.  See help(type) for accurate signature.
     |  
     |  maketrans(x, y=None, z=None, /)
     |      Return a translation table usable for str.translate().
     |      
     |      If there is only one argument, it must be a dictionary mapping Unicode
     |      ordinals (integers) or characters to Unicode ordinals, strings or None.
     |      Character keys will be then converted to ordinals.
     |      If there are two arguments, they must be strings of equal length, and
     |      in the resulting dictionary, each character in x will be mapped to the
     |      character at the same position in y. If there is a third argument, it
     |      must be a string, whose characters will be mapped to None in the result.
    
    help> 
    
    You are now leaving help and returning to the Python interpreter.
    If you want to ask for help on a particular object directly from the
    interpreter, you can type "help(object)".  Executing "help('string')"
    has the same effect as typing a particular string at the help> prompt.
    


```python
help("pandas")
```

    Help on package pandas:
    
    NAME
        pandas
    
    DESCRIPTION
        pandas - a powerful data analysis and manipulation library for Python
        =====================================================================
        
        **pandas** is a Python package providing fast, flexible, and expressive data
        structures designed to make working with "relational" or "labeled" data both
        easy and intuitive. It aims to be the fundamental high-level building block for
        doing practical, **real world** data analysis in Python. Additionally, it has
        the broader goal of becoming **the most powerful and flexible open source data
        analysis / manipulation tool available in any language**. It is already well on
        its way toward this goal.
        
        Main Features
        -------------
        Here are just a few of the things that pandas does well:
        
          - Easy handling of missing data in floating point as well as non-floating
            point data.
          - Size mutability: columns can be inserted and deleted from DataFrame and
            higher dimensional objects
          - Automatic and explicit data alignment: objects can be explicitly aligned
            to a set of labels, or the user can simply ignore the labels and let
            `Series`, `DataFrame`, etc. automatically align the data for you in
            computations.
          - Powerful, flexible group by functionality to perform split-apply-combine
            operations on data sets, for both aggregating and transforming data.
          - Make it easy to convert ragged, differently-indexed data in other Python
            and NumPy data structures into DataFrame objects.
          - Intelligent label-based slicing, fancy indexing, and subsetting of large
            data sets.
          - Intuitive merging and joining data sets.
          - Flexible reshaping and pivoting of data sets.
          - Hierarchical labeling of axes (possible to have multiple labels per tick).
          - Robust IO tools for loading data from flat files (CSV and delimited),
            Excel files, databases, and saving/loading data from the ultrafast HDF5
            format.
          - Time series-specific functionality: date range generation and frequency
            conversion, moving window statistics, moving window linear regressions,
            date shifting and lagging, etc.
    
    PACKAGE CONTENTS
        _config (package)
        _libs (package)
        _typing
        _version
        api (package)
        arrays (package)
        compat (package)
        conftest
        core (package)
        errors (package)
        io (package)
        plotting (package)
        testing
        tests (package)
        tseries (package)
        util (package)
    
    SUBMODULES
        _hashtable
        _lib
        _tslib
        offsets
    
    FUNCTIONS
        __getattr__(name)
    
    DATA
        IndexSlice = <pandas.core.indexing._IndexSlice object>
        NaT = NaT
        __docformat__ = 'restructuredtext'
        __git_version__ = '171c71611886aab8549a8620c5b0071a129ad685'
        describe_option = <pandas._config.config.CallableDynamicDoc object>
        get_option = <pandas._config.config.CallableDynamicDoc object>
        options = <pandas._config.config.DictWrapper object>
        reset_option = <pandas._config.config.CallableDynamicDoc object>
        set_option = <pandas._config.config.CallableDynamicDoc object>
    
    VERSION
        0.25.1
    
    FILE
        c:\users\18327\anaconda3\lib\site-packages\pandas\__init__.py
    
    
    

# Environment manager
1. Creat a new environment
2. Home-Applications on New
3. Install Jupyter notebook
4. Launch (or launch it from Anaconda Promt, activate jupyter notebook)
# Anaconda prompt
1. conda install
2. Change enviorment
3. Change working directory
4. Launch jupyter notebook

```python

```
